Skip to main content
GET
/
installations
/
{installationId}
Get Installation
curl --request GET \
  --url https://production.runalloy.com/installations/{installationId} \
  --header 'Authorization: <authorization>' \
  --header 'x-api-version: <x-api-version>'
import requests

url = "https://production.runalloy.com/installations/{installationId}"

headers = {
    "Authorization": "<authorization>",
    "x-api-version": "<x-api-version>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};

fetch('https://production.runalloy.com/installations/{installationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "installationId": "6630f0f971184ae724f2d930",
    "integrationId": "662f950e454784bc5e7caa37",
    "userId": "6622cd2e506ac293a3e60b00",
    "formData": [],
    "credentialIds": {
      "shopifyApi": "66263e318dca4463fe1b480f"
    },
    "workflowIds": [
      "662fa657454784bc5e7cd5ea"
    ],
    "enabled": false
  }
}

Headers

Authorization
string
default:bearer YOUR_API_KEY
required
x-api-version
string
default:2025-09
required

The version of the API to use. The current API version is 2025-09.

Path Parameters

installationId
string
required

The ID of the installation.

Example:

"6630f0f971184ae724f2d930"

Response

200 - application/json

Successful response with installation details.

data
object
required